local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.GoldMaking(container)




--[[ Scroll Frame ]]--
local scrollcontainer = AceGUI:Create("SimpleGroup") 
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) 
scrollcontainer:SetLayout("Fill") 

container:AddChild(scrollcontainer)

local scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") 
scrollcontainer:AddChild(scroll)
  

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CGold Guides For All")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("WorthIt-Guides is a community based addon to help New and Old gold makers make gold. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)


   local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CView Gold Guides")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 15, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Learn from the basics of Farming, Crafting, Flipping and expand your knowledge on Gold Making.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local OpenGoldGuides = AceGUI:Create("Button")
  OpenGoldGuides:SetText("Open Guides")
  OpenGoldGuides:SetWidth(350)
  scroll:AddChild(OpenGoldGuides)
  OpenGoldGuides:SetCallback("OnClick", function() 

  core.GoldMakingUI(container)
  
  end)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CA Beginners Guide To Gold Making")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 15, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("New To Gold Making? Learn how to get started with 'Beginners Guide To Gold Making', where you'll learn the basics to making gold and understanding how to Farm, Craft and Flip. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

local BeginnersGuide = AceGUI:Create("Button")
  BeginnersGuide:SetText("Learn More")
  BeginnersGuide:SetWidth(350)
  scroll:AddChild(BeginnersGuide)
  BeginnersGuide:SetCallback("OnClick", function() 

  core.ABeginnersGuideToGoldMaking(container)
  
  end)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cff00C78CNeed A TSM Profile For Crafting?")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 15, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Here is where you'll find a 'Beginners TSM Crafting Up' to get you started in the crafting scene. This comes with a simple crafting setup which is easily adaptable as you progress.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local BeginnerTSM = AceGUI:Create("Button")
  BeginnerTSM:SetText("Learn More")
  BeginnerTSM:SetWidth(350)
  scroll:AddChild(BeginnerTSM)
  BeginnerTSM:SetCallback("OnClick", function() 
  
  core.BeginnersTSMCraftingSetup(container)
  
  end)
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  end